package _VisualDVM.Repository.Component;
import Common.Visual.Fonts.VisualiserFonts;
import Common.Visual.Menus.DataMenuBar;
import Common.Visual.UI_;
import Visual_DVM_2021.Passes.PassCode;
import _VisualDVM.Global;
import _VisualDVM.Visual.Menus.VisualiserMenu;
public class ComponentsMenuBar extends DataMenuBar {
    public ComponentsMenuBar() {
        super("компоненты");
        addMenus(
                new VisualiserMenu(
                        "Восстановление предыдущей версии компонента", "/icons/Resurrect.png") {
                    {
                        setFont(UI_.getTheme().Fonts.get(VisualiserFonts.Menu));
                        add( Global.mainModule.getPass(PassCode.ResurrectComponent).createMenuItem());
                        add( Global.mainModule.getPass(PassCode.ResurrectComponentFromServer).createMenuItem());
                    }
                }
        );

        addPasses(PassCode.InstallComponentFromFolder,
                PassCode.UpdateSelectedComponents,
                PassCode.PublishComponent,
                PassCode.ShowComponentChangesLog);

        Global.mainModule.getPass(PassCode.PublishComponent).setControlsVisible(false);
    }
}
